For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Status
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
  • API Reference
      • GETList knowledge items
      • POSTCreate knowledge item
      • GETGet knowledge item
      • DELDelete knowledge item
      • POSTRe-ingest knowledge item
      • GETList agent's knowledge items
      • POSTAttach knowledge item to agent
      • DELDetach knowledge item from agent
Status
LogoLogo
API ReferenceAgent Knowledge Base

Re-ingest knowledge item

POST
https://app.resemble.ai/api/v2/knowledge_items/:uuid/reingest
POST
/api/v2/knowledge_items/:uuid/reingest
$curl -X POST https://app.resemble.ai/api/v2/knowledge_items/uuid/reingest \
> -H "Authorization: Bearer <token>"
1{
2 "success": true,
3 "item": {},
4 "message": "string"
5}

Re-runs the ingestion pipeline for an existing knowledge item

Was this page helpful?
Previous

List agent's knowledge items

Next
Built with

Authentication

AuthorizationBearer

API token from https://app.resemble.ai/account/api

Path parameters

uuidstringRequiredformat: "uuid"
The UUID of the knowledge item

Response

Re-ingestion queued successfully

successboolean
itemobject
messagestring

Errors

422
Unprocessable Entity Error